curl 'https://listenlabs.ai/api/public/responses/study123?page=0&per_page=100&updated_since=2023-08-18T00:00:00Z' \
-H 'x-api-key: <api_key>'
[
{
"id": "12345678-0000-0000-0000-000000000000",
"created_at": "2023-08-18T11:51:54.649916+00:00",
"answers": {
"Summary": "Summary of response 1",
"Question 1": "Answer of question 1",
"Question 2": "Answer of question 2"
},
"answers_array": [
{
"answer_id": "f1e2d3c4-0000-0000-0000-000000000001",
"discussion_guide_question_id": "a1b2c3d4-0000-0000-0000-000000000001",
"concept_id": null,
"question_id": "q-001",
"question": "Question 1",
"answer": "Answer of question 1"
},
{
"answer_id": "f1e2d3c4-0000-0000-0000-000000000002",
"discussion_guide_question_id": "a1b2c3d4-0000-0000-0000-000000000002",
"concept_id": "b2c3d4e5-0000-0000-0000-000000000001",
"question_id": "q-002",
"question": "Question 2",
"answer": "Answer of question 2"
}
],
"attributes": { "id": "123" },
"short_transcript": "• Welcome → Start\n• Ask for name → John\n• Thank you, bye → "
},
{
"id": "23456789-0000-0000-0000-000000000000",
"created_at": "2023-08-19T11:51:54.649916+00:00",
"answers": {
"Summary": "Summary of response 2",
"Question 1": "Answer of question 1",
"Question 2": "Answer of question 2"
},
"answers_array": [
{
"answer_id": "f1e2d3c4-0000-0000-0000-000000000001",
"discussion_guide_question_id": "a1b2c3d4-0000-0000-0000-000000000001",
"concept_id": null,
"question_id": "q-001",
"question": "Question 1",
"answer": "Answer of question 1"
},
{
"answer_id": "f1e2d3c4-0000-0000-0000-000000000002",
"discussion_guide_question_id": "a1b2c3d4-0000-0000-0000-000000000002",
"concept_id": null,
"question_id": "q-002",
"question": "Question 2",
"answer": "Answer of question 2"
}
],
"attributes": { "id": "567" },
"short_transcript": "• Welcome → Start\n• Ask for name → Alice\n• Thank you, bye → "
}
]
Endpoints
Get Responses
This endpoint lists all responses for a given study.
GET
/
api
/
public
/
responses
/
{link_id}
curl 'https://listenlabs.ai/api/public/responses/study123?page=0&per_page=100&updated_since=2023-08-18T00:00:00Z' \
-H 'x-api-key: <api_key>'
[
{
"id": "12345678-0000-0000-0000-000000000000",
"created_at": "2023-08-18T11:51:54.649916+00:00",
"answers": {
"Summary": "Summary of response 1",
"Question 1": "Answer of question 1",
"Question 2": "Answer of question 2"
},
"answers_array": [
{
"answer_id": "f1e2d3c4-0000-0000-0000-000000000001",
"discussion_guide_question_id": "a1b2c3d4-0000-0000-0000-000000000001",
"concept_id": null,
"question_id": "q-001",
"question": "Question 1",
"answer": "Answer of question 1"
},
{
"answer_id": "f1e2d3c4-0000-0000-0000-000000000002",
"discussion_guide_question_id": "a1b2c3d4-0000-0000-0000-000000000002",
"concept_id": "b2c3d4e5-0000-0000-0000-000000000001",
"question_id": "q-002",
"question": "Question 2",
"answer": "Answer of question 2"
}
],
"attributes": { "id": "123" },
"short_transcript": "• Welcome → Start\n• Ask for name → John\n• Thank you, bye → "
},
{
"id": "23456789-0000-0000-0000-000000000000",
"created_at": "2023-08-19T11:51:54.649916+00:00",
"answers": {
"Summary": "Summary of response 2",
"Question 1": "Answer of question 1",
"Question 2": "Answer of question 2"
},
"answers_array": [
{
"answer_id": "f1e2d3c4-0000-0000-0000-000000000001",
"discussion_guide_question_id": "a1b2c3d4-0000-0000-0000-000000000001",
"concept_id": null,
"question_id": "q-001",
"question": "Question 1",
"answer": "Answer of question 1"
},
{
"answer_id": "f1e2d3c4-0000-0000-0000-000000000002",
"discussion_guide_question_id": "a1b2c3d4-0000-0000-0000-000000000002",
"concept_id": null,
"question_id": "q-002",
"question": "Question 2",
"answer": "Answer of question 2"
}
],
"attributes": { "id": "567" },
"short_transcript": "• Welcome → Start\n• Ask for name → Alice\n• Thank you, bye → "
}
]
Path Parameters
string
The link ID of the study. You can find this in the study URL or via the List Studies endpoint.
For example, in
https://listenlabs.ai/s/abc123 the link ID is abc123.Query Parameters
integer
default:"0"
The page number for pagination.
integer
default:"1000"
Number of responses to return per page.
string
ISO 8601 date string to filter responses updated after this date (e.g.,
2023-08-18T11:51:54.649916Z).boolean
default:"true"
Whether to include responses that who’s analysis is still in progress.
Response
Returns a list of responses for the given study. Each response is an object with the following fields:uuid
Unique identifier for the response.
number
The ordered number of the response.
string
UTC timestamp of when the response was created.
string
UTC timestamp of when the response was last updated.
object
Response[]
Answers to all questions of the study as an array.
Show Response
Show Response
string
The answer ID. Matches the
answer_id on transcript rows from the single response endpoint, enabling cross-referencing.string
The discussion guide question ID.
string | null
The concept ID. Null if not concept-specific.
string
deprecated
Deprecated. Use
answer_id instead.string
The question text.
string
The answer to the question.
object
URL parameters that were passed to the study.
Show Example Attributes
Show Example Attributes
string
An id that is passed to study eg.
https://listenlabs.ai/s/abc123?id=123.string
A transcript of the entire conversation where the assistant messages are
shortened to a couple of words.
curl 'https://listenlabs.ai/api/public/responses/study123?page=0&per_page=100&updated_since=2023-08-18T00:00:00Z' \
-H 'x-api-key: <api_key>'
[
{
"id": "12345678-0000-0000-0000-000000000000",
"created_at": "2023-08-18T11:51:54.649916+00:00",
"answers": {
"Summary": "Summary of response 1",
"Question 1": "Answer of question 1",
"Question 2": "Answer of question 2"
},
"answers_array": [
{
"answer_id": "f1e2d3c4-0000-0000-0000-000000000001",
"discussion_guide_question_id": "a1b2c3d4-0000-0000-0000-000000000001",
"concept_id": null,
"question_id": "q-001",
"question": "Question 1",
"answer": "Answer of question 1"
},
{
"answer_id": "f1e2d3c4-0000-0000-0000-000000000002",
"discussion_guide_question_id": "a1b2c3d4-0000-0000-0000-000000000002",
"concept_id": "b2c3d4e5-0000-0000-0000-000000000001",
"question_id": "q-002",
"question": "Question 2",
"answer": "Answer of question 2"
}
],
"attributes": { "id": "123" },
"short_transcript": "• Welcome → Start\n• Ask for name → John\n• Thank you, bye → "
},
{
"id": "23456789-0000-0000-0000-000000000000",
"created_at": "2023-08-19T11:51:54.649916+00:00",
"answers": {
"Summary": "Summary of response 2",
"Question 1": "Answer of question 1",
"Question 2": "Answer of question 2"
},
"answers_array": [
{
"answer_id": "f1e2d3c4-0000-0000-0000-000000000001",
"discussion_guide_question_id": "a1b2c3d4-0000-0000-0000-000000000001",
"concept_id": null,
"question_id": "q-001",
"question": "Question 1",
"answer": "Answer of question 1"
},
{
"answer_id": "f1e2d3c4-0000-0000-0000-000000000002",
"discussion_guide_question_id": "a1b2c3d4-0000-0000-0000-000000000002",
"concept_id": null,
"question_id": "q-002",
"question": "Question 2",
"answer": "Answer of question 2"
}
],
"attributes": { "id": "567" },
"short_transcript": "• Welcome → Start\n• Ask for name → Alice\n• Thank you, bye → "
}
]

